This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 744334 - (netcdf-fortran) Review Request: netcdf-fortran - Fortran libraries for netCDF-4
Review Request: netcdf-fortran - Fortran libraries for netCDF-4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-07 17:45 EDT by Orion Poplawski
Modified: 2013-04-12 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 11:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-10-07 17:45:15 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-fortran.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf-fortran-4.2-1.fc15.src.rpm
Description:
Fortran libraries for netCDF-4.
Comment 1 Jon Ciesla 2012-03-07 09:20:41 EST
I'll give this a go.
Comment 2 Jon Ciesla 2012-03-07 09:21:58 EST
Spec and SRPM are 404.
Comment 3 Jon Ciesla 2012-03-07 09:47:58 EST
Good:

- rpmlint checks return:

etcdf-fortran.x86_64: W: incoherent-version-in-changelog 4.2 ['4.2-1.fc16', '4.2-1']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

netcdf-fortran-devel.x86_64: W: spelling-error %description -l en_US libs -> lobs, lib, lbs
The value of this tag appears to be misspelled. Please double-check.

netcdf-fortran-devel.x86_64: W: no-manual-page-for-binary nf-config
Each executable in standard binary directories should have a man page.

netcdf-fortran-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Minor bits.

- package meets naming guidelines
- package meets packaging guidelines
- license ( NetCDF ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

What about shipping examples/ in %doc?

Otherwise, good.
Comment 4 Orion Poplawski 2012-03-07 15:53:59 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-fortran.spec
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/netcdf-fortran-4.2-2.fc16.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=3865617

* Wed Mar 7 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2-2
- Build parallel versions
- Ship examples with -devel

* Fri Oct 7 2011 Orion Poplawski <orion@cora.nwra.com> - 4.2-1
- Initial package
Comment 5 Jon Ciesla 2012-03-07 16:21:15 EST
New rpmlint output:

netcdf-fortran.spec:151: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.


netcdf-fortran.x86_64: E: info-dir-file /usr/share/info/dir
You have /usr/info/dir or /usr/share/info/dir in your package. It will cause
conflicts with other packages and thus is not allowed. Please remove it and
rebuild your package.

netcdf-fortran-devel.x86_64: W: spurious-executable-perm /usr/share/doc/netcdf-fortran-devel-4.2/examples/F90/run_f90_par_examples.sh
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

netcdf-fortran-devel.x86_64: W: no-manual-page-for-binary nf-config
Each executable in standard binary directories should have a man page.

netcdf-fortran-mpich2.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich2/lib/libnetcdff.so.5.3.1
This package contains a library and provides no %post scriptlet containing a
call to ldconfig.

netcdf-fortran-mpich2.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich2/lib/libnetcdff.so.5.3.1
This package contains a library and provides no %postun scriptlet containing a
call to ldconfig.

netcdf-fortran-mpich2-devel.x86_64: W: manpage-not-compressed gz /usr/lib64/mpich2/share/man/man3/netcdf_f77.3
This manual page is not compressed with the gz compression method (does not
have the gz extension). If the compression does not happen automatically when
the package is rebuilt, make sure that you have the appropriate rpm helper
and/or config packages for your target distribution installed and try
rebuilding again; if it still does not happen automatically, you can compress
this file in the %install section of the spec file.

netcdf-fortran-mpich2-devel.x86_64: W: manpage-not-compressed gz /usr/lib64/mpich2/share/man/man3/netcdf_f90.3
This manual page is not compressed with the gz compression method (does not
have the gz extension). If the compression does not happen automatically when
the package is rebuilt, make sure that you have the appropriate rpm helper
and/or config packages for your target distribution installed and try
rebuilding again; if it still does not happen automatically, you can compress
this file in the %install section of the spec file.

netcdf-fortran-mpich2-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

netcdf-fortran-mpich2-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-fortran-mpich2-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-fortran-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libnetcdff.so.5.3.1
This package contains a library and provides no %post scriptlet containing a
call to ldconfig.

netcdf-fortran-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libnetcdff.so.5.3.1
This package contains a library and provides no %postun scriptlet containing a
call to ldconfig.

netcdf-fortran-openmpi-devel.x86_64: W: manpage-not-compressed gz /usr/lib64/openmpi/share/man/man3/netcdf_f77.3
This manual page is not compressed with the gz compression method (does not
have the gz extension). If the compression does not happen automatically when
the package is rebuilt, make sure that you have the appropriate rpm helper
and/or config packages for your target distribution installed and try
rebuilding again; if it still does not happen automatically, you can compress
this file in the %install section of the spec file.

netcdf-fortran-openmpi-devel.x86_64: W: manpage-not-compressed gz /usr/lib64/openmpi/share/man/man3/netcdf_f90.3
This manual page is not compressed with the gz compression method (does not
have the gz extension). If the compression does not happen automatically when
the package is rebuilt, make sure that you have the appropriate rpm helper
and/or config packages for your target distribution installed and try
rebuilding again; if it still does not happen automatically, you can compress
this file in the %install section of the spec file.

netcdf-fortran-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

netcdf-fortran-openmpi-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-fortran-openmpi-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-fortran-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.
Comment 6 Orion Poplawski 2012-03-07 17:00:25 EST
(In reply to comment #5)
> New rpmlint output:
> 
> netcdf-fortran.spec:151: W: configure-without-libdir-spec
> A configure script is run without specifying the libdir. configure options
> must be augmented with something like --libdir=%{_libdir} whenever the script
> supports it.

False positive.

> netcdf-fortran.x86_64: E: info-dir-file /usr/share/info/dir
> You have /usr/info/dir or /usr/share/info/dir in your package. It will cause
> conflicts with other packages and thus is not allowed. Please remove it and
> rebuild your package.

Fixed.

> netcdf-fortran-devel.x86_64: W: spurious-executable-perm
> /usr/share/doc/netcdf-fortran-devel-4.2/examples/F90/run_f90_par_examples.sh
> The file is installed with executable permissions, but was identified as one
> that probably should not be executable.  Verify if the executable bits are
> desired, and remove if not.

Fixed.

> netcdf-fortran-devel.x86_64: W: no-manual-page-for-binary nf-config
> Each executable in standard binary directories should have a man page.

Will note upstream.

> netcdf-fortran-mpich2.x86_64: E: library-without-ldconfig-postin
> /usr/lib64/mpich2/lib/libnetcdff.so.5.3.1
> This package contains a library and provides no %post scriptlet containing a
> call to ldconfig.
> 
> netcdf-fortran-mpich2.x86_64: E: library-without-ldconfig-postun
> /usr/lib64/mpich2/lib/libnetcdff.so.5.3.1
> This package contains a library and provides no %postun scriptlet containing a
> call to ldconfig.

Not in linker path.

> netcdf-fortran-mpich2-devel.x86_64: W: manpage-not-compressed gz
> /usr/lib64/mpich2/share/man/man3/netcdf_f77.3
> This manual page is not compressed with the gz compression method (does not
> have the gz extension). If the compression does not happen automatically when
> the package is rebuilt, make sure that you have the appropriate rpm helper
> and/or config packages for your target distribution installed and try
> rebuilding again; if it still does not happen automatically, you can compress
> this file in the %install section of the spec file.
> 
> netcdf-fortran-mpich2-devel.x86_64: W: manpage-not-compressed gz
> /usr/lib64/mpich2/share/man/man3/netcdf_f90.3
> This manual page is not compressed with the gz compression method (does not
> have the gz extension). If the compression does not happen automatically when
> the package is rebuilt, make sure that you have the appropriate rpm helper
> and/or config packages for your target distribution installed and try
> rebuilding again; if it still does not happen automatically, you can compress
> this file in the %install section of the spec file.

Fixed.

> netcdf-fortran-mpich2-devel.x86_64: W: only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.

Standard mpi packaging.

> netcdf-fortran-mpich2-devel.x86_64: W: no-documentation
> The package contains no documentation (README, doc, etc). You have to include
> documentation files.
> 
> netcdf-fortran-mpich2-static.x86_64: W: no-documentation
> The package contains no documentation (README, doc, etc). You have to include
> documentation files.

No relevant files.

Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-fortran.spec
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/netcdf-fortran-4.2-3.fc16.src.rpm

* Wed Mar 7 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2-3
- Don't ship info/dir file
- Add needed shbangs
- Compress mpi package man pages

http://koji.fedoraproject.org/koji/taskinfo?taskID=3866374
Comment 7 Jon Ciesla 2012-03-07 21:12:21 EST
Much better.

APPROVED.
Comment 8 Orion Poplawski 2012-03-09 12:05:30 EST
New Package SCM Request
=======================
Package Name: netcdf-fortran
Short Description: Fortran libraries for NetCDF-4
Owners: orion
Branches: f17 f16 f15 el6
InitialCC:
Comment 9 Jon Ciesla 2012-03-09 12:07:31 EST
Git done (by process-git-requests).
Comment 10 Orion Poplawski 2012-03-12 11:25:51 EDT
Checked in and built.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.